### ip::basic_resolver_iterator

An iterator over the entries produced by a resolver.

    template<
        typename InternetProtocol>
    class basic_resolver_iterator

##### Types

Name | Description
--- | ---
difference_type | The type used for the distance between two iterators.
iterator_category | The iterator category.
pointer | The type of the result of applying operator->() to the iterator.
reference | The type of the result of applying operator*() to the iterator.
value_type | The type of the value pointed to by the iterator.

##### Member Functions

Name | Description
--- | ---
basic_resolver_iterator [constructor] | Default constructor creates an end iterator. — Copy constructor. — Move constructor.
operator* | Dereference an iterator.
operator++ | Increment operator (prefix). — Increment operator (postfix).
operator-> | Dereference an iterator.
operator= | Assignment operator. — Move-assignment operator.

##### Protected Member Functions

Name | Description
--- | ---
dereference |
equal |
increment |

##### Protected Data Members

Name | Description
--- | ---
index_ |
values_ |

##### Friends

Name | Description
--- | ---
operator!= | Test two iterators for inequality.
operator== | Test two iterators for equality.

The `ip::basic_resolver_iterator` class template is used to define iterators over the results returned by a resolver.

The iterator's value_type, obtained when the iterator is dereferenced, is:

    const basic_resolver_entry<InternetProtocol>

##### Thread Safety

Distinct objects: Safe.

Shared objects: Unsafe.

##### Requirements

Header: `asio/ip/basic_resolver_iterator.hpp`

Convenience header: `asio.hpp`